Subject: [alpine-aports] testing/readosm: new aport

From: Bjoern Schilberg <[email-masked]>
Date: Tue, 22 May 2018 20:50:28 +0200

---
 testing/readosm/APKBUILD | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)
 create mode 100644 testing/readosm/APKBUILD

diff --git a/testing/readosm/APKBUILD b/testing/readosm/APKBUILD
new file mode 100644
index 0000000000..a0bb71196a
--- /dev/null
+++ b/testing/readosm/APKBUILD
@@ -0,0 +1,30 @@
+# Contributor: Bjoern Schilberg <[email-masked]>
+# Maintainer: Bjoern Schilberg <[email-masked]>
+pkgname=readosm
+pkgver=1.1.0
+pkgrel=0
+pkgdesc="Library to extract valid data from an Open Street Map input file."
+url="https://www.gaia-gis.it/fossil/readosm/index"
+arch="x86_64"
+license="MPL 1.1, GPL v2.0, LGPL v2.1"
+depends="expat zlib"
+depends_dev="expat-dev zlib-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://www.gaia-gis.it/gaia-sins/$pkgname-$pkgver.tar.gz"
+
+builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+	cd "$builddir"
+	./configure --prefix /usr
+	make -j1 || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -rf "$pkgdir"/usr/share/
+}
+sha512sums="d3581f564c4461c6a1a3d5fd7d18a262c884b2ac935530064bfaebd6c05d692fb92cc600fb40e87e03f7160ebf0eeeb05f51a0e257935d056b233fe28fc01a11  readosm-1.1.0.tar.gz"
-- 
2.15.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Leonardo Arena <[email-masked]>
Date: Tue, 17 Jul 2018 16:29:00 +0200

Hi,

sorry for the late review. I've merged the patch with few modifications.

Please have a looks:
https://git.alpinelinux.org/cgit/aports/commit/?id=8ec516cc3fe6f392fe41a3ac318fe7e47486c325

The license IDs, the "return 1". Also enabled build on all arches.

Thanks!

On Tue, May 22, 2018 at 8:50 PM, Bjoern Schilberg <[email-masked]>
wrote:

> +sha512sums="d3581f564c4461c6a1a3d5fd7d18a262c884b2ac935530064bfaebd6c05d
> 692fb92cc600fb40e87e03f7160ebf0eeeb05f51a0e257935d056b233fe28fc01a11
> readosm-1.1.0.tar.gz"
> --
> 2.15.0
>
>
> ---